Bug 1664020 (CVE-2018-20349) - CVE-2018-20349 igraph: NULL pointer dereference in igraph_i_strdiff function resulting in a denial of service
Summary: CVE-2018-20349 igraph: NULL pointer dereference in igraph_i_strdiff function ...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-20349
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1664021 1664022
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-07 14:30 UTC by Andrej Nemec
Modified: 2019-09-29 15:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:44:52 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2019-01-07 14:30:50 UTC
The igraph_i_strdiff function in igraph_trie.c in igraph through 0.7.1 has an NULL pointer dereference that allows attackers to cause a denial of service (application crash) via a crafted object.

Upstream issue:

https://github.com/igraph/igraph/issues/1141

Comment 1 Andrej Nemec 2019-01-07 14:31:02 UTC
Created igraph tracking bugs for this issue:

Affects: epel-all [bug 1664022]
Affects: fedora-all [bug 1664021]

Comment 2 Product Security DevOps Team 2019-06-10 10:44:52 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.